﻿(function () {
    "use strict";
    angular.module("enrDetailsPaneModule")
           .directive("enrSplash", [function () {
               return {
                   templateUrl: "Scripts/EnrAngular/EnrDetailsPane/enrSplash.html",
                   controller: "enrSplashController",
                   restrict: "E"
               };
           }])

           .controller("enrSplashController", ["$scope", "$rootScope", "primaryService",
             function ($scope, $rootScope, primaryService) {

                 $scope.onPrimaryPartyClick = function (partyCode) {
                     primaryService.setSelectedParty(partyCode, true);
                 }

                 $scope.navReferendumClick = function (index) {
                     $rootScope.$broadcast("SELECT_REFERENDUM", index);
                 }
             }]);
}());
